#
# spec file for package bs
#
# Copyright (c) 2020 SUSE LLC
# Copyright (c) 2025 Andreas Stieger <Andreas.Stieger@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           bs
Version:        2.13
Release:        1.1
Summary:        Battleships solitaire game with a color interface
License:        BSD-2-Clause
Group:          Amusements/Games/Strategy/Turn Based
URL:            http://www.catb.org/~esr/bs/
Source0:        http://www.catb.org/~esr/%{name}/%{name}-%{version}.tar.gz
BuildRequires:  hicolor-icon-theme
BuildRequires:  ncurses-devel
BuildRequires:  update-desktop-files

%description
The classic game of Battleships against the computer. Uses character-cell
graphics with a visual point-and-shoot interface. If you're using an xterm
under Linux the mouse will work.

%prep
%autosetup -p1

%build
%make_build

%install
%make_install
%suse_update_desktop_file %{name}

%files
%license COPYING
%doc NEWS.adoc README
%{_bindir}/%{name}
%{_mandir}/man6/%{name}.6%{?ext_man}
%{_datadir}/appdata/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/

%changelog
* Sat Mar  8 2025 Andreas Stieger <andreas.stieger@gmx.de>
- Update to 2.13:
  * Add -v option
  * Code cleanup - remove pre-SuSv2 cruft
- license is BSD-2-Clause
* Thu Nov  5 2020 jun wang <jgwang@suse.com>
- Change "%%license COPYING NEWS README" to "%%license COPYING"
* Thu Nov  5 2020 jgwang@suse.com
- Update bs to 2.11
* Mon Dec 15 2014 nemysis@gmx.ch
- Add BuildRequires for hicolor-icon-theme
* Sun Dec 14 2014 nemysis@gmx.ch
- Use %%{_datadir}/appdata/ instead of %%{_datadir}/appdata/%%{name}.xml
* Sun Dec 14 2014 nemysis@gmx.ch
- Revert Use BuildRequires pkgconfig() instead of devel packages
* Sun Dec 14 2014 nemysis@gmx.ch
- Update to 2.10, announce message:
  Added desktop file.
- Change Summary
- Change license GPL-2.0+ to BSD-3-Clause
- Change Source0 Web URL
- Remove obsolete patch bs-fixes.patch, changed by me and upstream
- Use check for openSUSE %%if 0%%{?suse_version}
- Remove BuildRequires for gcc, glibc-devel, make, pkgconfig
- Use BuildRequires pkgconfig() instead of devel packages
- Use default %%make_install
* Sat Jul  2 2011 jengelh@medozas.de
- Use %%_smp_mflags for parallel building
- Strip %%clean section (not needed on BS)
* Tue Oct 12 2010 pascal.bleser@opensuse.org
- initial package (2.7)
